From d9cffe7e2e742375c200897896ea1c6a9fd11834 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Aug 25 2017 08:50:55 +0000
Subject: [PATCH 927/1001] Set some defaults for the autodoc Sphinx extension


---

diff --git a/docs/conf.py b/docs/conf.py
index 30c5281..194929b 100644
--- a/docs/conf.py
+++ b/docs/conf.py
@@ -119,6 +119,9 @@ pygments_style = 'sphinx'
 # If true, `todo` and `todoList` produce output, else they produce nothing.
 todo_include_todos = True
 
+# Default flags for the autodoc extension: show public members (some private members need to be overriiden
+autodoc_default_flags = ['members', 'show-inheritance']
+
 
 # -- Options for HTML output ----------------------------------------------
 

